//
//  CoreUIObject.swift
//  MVMCoreUI
//
//  Created by Scott Pfeil on 10/24/19.
//  Copyright © 2019 Verizon Wireless. All rights reserved.
//

import UIKit

@objcMembers open class CoreUIObject: MVMCoreObject {
    public var globalTopAlertDelegate: MVMCoreGlobalTopAlertDelegateProtocol?

    open override func defaultInitialSetup() {
        CoreUIModelMapping.registerObjects()
        loadHandler = MVMCoreLoadHandler()
        cache = MVMCoreCache()
        sessionHandler = MVMCoreSessionTimeHandler()
        actionHandler = MVMCoreUIActionHandler()
        session = MVMCoreUISession()
        viewControllerMapping = MVMCoreUIViewControllerMappingObject()
        loggingDelegate = MVMCoreUILoggingHandler()
    }
}
